RaphaXl Quinet <[EMAIL PROTECTED]> writes:

> Unfortunately, I think that fixing this bug may introduce some new
> problems: some plug-ins may run under a different user id than the
> main program.  For example, xscanimage may be installed with a setuid
> bit on some systems if this is required in order to access the
> scanner.  I don't know how the real and effective user id are used in
> this case, but this may prevent the plug-in from running correctly.
> Also, I think that some old systems (AIX? HP-UX?) had problems with
> shared memory segments unless they were created with the mode 777.
> This is very vague and I cannot find any information about that, so
> maybe this is just a brain fart on my part.
> In any case, I don't think that we should be too fast for releasing
> this patch because it may cause more problems than it solves.  We
> really need more testing and feedback from users of various UN*X
> systems, especially those who have to run some plug-ins setuid in
> order to access some special devices or files.

I think we should do a gimp-1.2.4-pre1 release. It wouldn't hurt to
get some testing on the other changes that we've made to the gimp-1-2
branch. If we do a pre-release, we could as well apply some more
patches that have been hold back because they need more testing.

Salut, Sven
Gimp-developer mailing list

Reply via email to